# Interface IQueryOptions

## Index

### Properties

- beforeExecuteQuery
- cancel
- ignoreWarningSearchEvent
- logInActionsHistory
- origin
- searchAsYouType

## Properties

### Optional beforeExecuteQuery

beforeExecuteQuery: function

- Defined in controllers/QueryController.ts :52

#### Type declaration

- - (): void

  - #### Returns void

### Optional cancel

cancel: boolean

- Defined in controllers/QueryController.ts :56

### Optional ignoreWarningSearchEvent

ignoreWarningSearchEvent: boolean

- Defined in controllers/QueryController.ts :44

### Optional logInActionsHistory

logInActionsHistory: boolean

- Defined in controllers/QueryController.ts :68

### Optional origin

origin: any

- Defined in controllers/QueryController.ts :60

### Optional searchAsYouType

searchAsYouType: boolean

- Defined in controllers/QueryController.ts :48

### Hierarchy

- IQueryOptions